<form method ='post' enctype ="multipart/form-data">
    {% csrf_token %}

    {% if form_user.errors %}
        {% for error in form_user.non_field_errors  %}
            <div class="alert alert-danger" role="alert">
                {{error}}
            </div>
        {% endfor %}
    {% endif %}
    
    <div class="form-row">
        <div class="form-group col">
            <label for="{{ form_user.email.id_for_label }}">Email</label>
            <input type="email" placeholder="Masukkan email pengguna..."
                class="form-control {% if form_user.email.errors %}is-invalid{% endif %}"
                name="{{ form_user.email.name }}"
                id="{{ form_user.email.id_for_label }}" 
                maxlength="{{ form_user.email.field.max_length }}"
                {% if form_user.email.value != None %}value="{{ form_user.email.value|stringformat:'s' }}"{% endif %}
                {% if form_user.email.field.required %}required{% endif %} >
            {% if form_user.email.errors %}
                <div class="invalid-feedback">
                    {{ form_user.email.errors }}
                </div>
            {% endif %}
        </div>
        <div class="form-group col">
            <label for="{{ form_user.username.id_for_label }}">Username</label>
            <input type="text" placeholder="Masukkan username pengguna..."
                class="form-control {% if form_user.username.errors %}is-invalid{% endif %}"
                name="{{ form_user.username.name }}"
                id="{{ form_user.username.id_for_label }}" 
                maxlength="{{ form_user.username.field.max_length }}"
                {% if form_user.username.value != None %}value="{{ form_user.username.value|stringformat:'s' }}"{% endif %}
                {% if form_user.username.field.required %}required{% endif %} >
            {% if form_user.username.errors %}
                <div class="invalid-feedback">
                    {{ form_user.username.errors }}
                </div>
            {% endif %}
        </div>
        <div class="form-group col">
            <label for="{{ form_user.role.id_for_label }}">Hak Akses</label>
            <select 
                class="form-control" 
                name="{{ form_user.role.name }}"
                {% if form_user.title.field.required %}required{% endif %}>
                    {% for choice in form_user.role.field.choices %}
                        <option value="{{ choice.0 }}"{% if form_user.role.value == choice.0 %} selected{% endif %} style="background-color: {{ choice.0 }};">
                            {{ choice.1 }}
                        </option>
                    {% endfor %}
            </select>
        </div>
    </div>
    <div class="form-row">
        <div class="form-group col">
            <label for="{{ form_user.first_name.id_for_label }}">Nama Depan</label>
            <input type="text" placeholder="Masukkan nama depan..."
                class="form-control {% if form_user.first_name.errors %}is-invalid{% endif %}"
                name="{{ form_user.first_name.name }}"
                id="{{ form_user.first_name.id_for_label }}" 
                maxlength="{{ form_user.first_name.field.max_length }}"
                {% if form_user.first_name.value != None %}value="{{ form_user.first_name.value|stringformat:'s' }}"{% endif %}
                {% if form_user.first_name.field.required %}required{% endif %} >
            {% if form_user.first_name.errors %}
                <div class="invalid-feedback">
                    {{ form_user.first_name.errors }}
                </div>
            {% endif %}
        </div>
        <div class="form-group col">
            <label for="{{ form_user.last_name.id_for_label }}">Nama Belakang</label>
            <input type="text" placeholder="Masukkan nama belakang..."
                class="form-control {% if form_user.last_name.errors %}is-invalid{% endif %}"
                name="{{ form_user.last_name.name }}"
                id="{{ form_user.last_name.id_for_label }}" 
                maxlength="{{ form_user.last_name.field.max_length }}"
                {% if form_user.last_name.value != None %}value="{{ form_user.last_name.value|stringformat:'s' }}"{% endif %}
                {% if form_user.last_name.field.required %}required{% endif %} >
            {% if form_user.last_name.errors %}
                <div class="invalid-feedback">
                    {{ form_user.last_name.errors }}
                </div>
            {% endif %}
        </div>

        <div class="form-group col">
            <label for="{{ form_user.date_of_birth.id_for_label }}">Tanggal Lahir</label>
            <input type="date" placeholder="Masukkan tanggal lahir pengguna..."
                class="form-control {% if form_user.date_of_birth.errors %}is-invalid{% endif %}"
                name="{{ form_user.date_of_birth.name }}"
                id="{{ form_user.date_of_birth.id_for_label }}" 
                maxlength="{{ form_user.date_of_birth.field.max_length }}"
                {% if form_user.date_of_birth.value != None %}value="{{ form_user.date_of_birth.value|stringformat:'s' }}"{% endif %}
                {% if form_user.date_of_birth.field.required %}required{% endif %} >
            {% if form_user.date_of_birth.errors %}
                <div class="invalid-feedback">
                    {{ form_user.date_of_birth.errors }}
                </div>
            {% endif %}
        </div>

        <div class="form-group col">
            <label for="{{ form_user.phone.id_for_label }}">Telepon</label>
            <input type="number" placeholder="Masukkan telepon pengguna..."
                class="form-control {% if form_user.phone.errors %}is-invalid{% endif %}"
                name="{{ form_user.phone.name }}"
                id="{{ form_user.phone.id_for_label }}" 
                maxlength="{{ form_user.phone.field.max_length }}"
                {% if form_user.phone.value != None %}value="{{ form_user.phone.value|stringformat:'s' }}"{% endif %}
                {% if form_user.phone.field.required %}required{% endif %} >
            {% if form_user.phone.errors %}
                <div class="invalid-feedback">
                    {{ form_user.phone.errors }}
                </div>
            {% endif %}
        </div>
    </div>

    <div class="form-row">
        <div class="form-group col">
            <label for="{{ form_user.password1.id_for_label }}">Password</label>
            <input type="password" placeholder="Masukkan password pengguna..."
                class="form-control {% if form_user.password1.errors %}is-invalid{% endif %}"
                name="{{ form_user.password1.name }}"
                id="{{ form_user.password1.id_for_label }}" 
                maxlength="{{ form_user.password1.field.max_length }}"
                {% if form_user.password1.value != None %}value="{{ form_user.password1.value|stringformat:'s' }}"{% endif %}
                {% if form_user.password1.field.required %}required{% endif %} >
            {% if form_user.password1.errors %}
                <div class="invalid-feedback">
                    {{ form_user.password1.errors }}
                </div>
            {% endif %}
        </div>

        <div class="form-group col">
            <label for="{{ form_user.password2.id_for_label }}">Ulangi Password</label>
            <input type="password" placeholder="Masukkan password pengguna..."
                class="form-control {% if form_user.password2.errors %}is-invalid{% endif %}"
                name="{{ form_user.password2.name }}"
                id="{{ form_user.password2.id_for_label }}" 
                maxlength="{{ form_user.password2.field.max_length }}"
                {% if form_user.password2.value != None %}value="{{ form_user.password2.value|stringformat:'s' }}"{% endif %}
                {% if form_user.password2.field.required %}required{% endif %} >
            {% if form_user.password2.errors %}
                <div class="invalid-feedback">
                    {{ form_user.password2.errors }}
                </div>
            {% endif %}
        </div>
    </div>
    
    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan Data</button>
</form>